using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class TipoAltaLogic
    {
        #region Constructor

        private TipoAltaDataAccess TipoAltaDA;

        public TipoAltaLogic()
        {
            TipoAltaDA = new TipoAltaDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<TipoAlta> ListarTipoAlta()
        {
            List<TipoAlta> results = null;
            try
            {

                results = TipoAltaDA.ListadoTipoAlta();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
